%define _use_internal_dependency_generator 0

Summary: A collection of Perl modules for XML parsing and validation.
Name: perl-libxml-enno
Version: 1.02
Release: 30
License: distributable
Group: Applications/CPAN
Source0: libxml-enno-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-libxml-enno-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
Provides: perl(XML::Handler::DOM)
BuildRequires: perl-Parse-Yapp
BuildRequires: perl-libwww-perl
BuildRequires: perl-DateManip
BuildArch: noarch

%description
libxml-enno contains the modules XML::DOM, XML::XQL, XML::Checker and
several other packages used for parsing XML from Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n libxml-enno-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test || /bin/true

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > libxml-enno-%{version}-filelist
if [ "$(cat libxml-enno-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f libxml-enno-%{version}-filelist
%defattr(-,root,root)
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML/Checker
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML/DOM
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML/Filter
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML/Handler
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/XML/XQL

%changelog
* Fri Apr 23 2004 Chip Turner <cturner@redhat.com> 1.02-30
- bump

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Aug  5 2002 Chip Turner <cturner@redhat.com>
- updated description

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
